# Class yii\base\InvalidConfigException

Inheritance | yii\base\InvalidConfigException » yii\base\Exception » Exception
Subclasses | yii\di\NotInstantiableException
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/base/InvalidConfigException.php

InvalidConfigException represents an exception caused by incorrect object configuration.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getName() |  | yii\base\InvalidConfigException

## Method Details

getName() public method

public string getName ( )
return | string | The user-friendly name of this exception